summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2017-04-02 14:56:12 +0300
committerMart Raudsepp <leio@gentoo.org>2017-04-02 15:59:46 +0300
commitff396244f6ee8586176c8bf4b75801263dedc73b (patch)
treefbca9188af284d294f41f536684f89da2d870868
parentmedia-libs/libmediaart: remove old (diff)
downloadgentoo-ff396244f6ee8586176c8bf4b75801263dedc73b.tar.gz
gentoo-ff396244f6ee8586176c8bf4b75801263dedc73b.tar.bz2
gentoo-ff396244f6ee8586176c8bf4b75801263dedc73b.zip
dev-libs/libpeas: remove old
Package-Manager: Portage-2.3.5, Repoman-2.3.1
-rw-r--r--dev-libs/libpeas/Manifest1
-rw-r--r--dev-libs/libpeas/libpeas-1.18.0.ebuild97
2 files changed, 0 insertions, 98 deletions
diff --git a/dev-libs/libpeas/Manifest b/dev-libs/libpeas/Manifest
index 93c2dce1753..27c30397478 100644
--- a/dev-libs/libpeas/Manifest
+++ b/dev-libs/libpeas/Manifest
@@ -1,2 +1 @@
-DIST libpeas-1.18.0.tar.xz 557028 SHA256 bf49842c64c36925bbc41d954de490b6ff7faa29b45f6fd9e91ddcc779165e26 SHA512 537402788519f3659a9ea9ea66de1bbbf365bb264335cefdfe808cd74e753c4d518b651d46ad170c7716ef38cbbc409dc8a87015bcd067f3fe025dea9c4b3ed6 WHIRLPOOL 1dc9516da2d552bf98cf1b0319e182d544b4e8e4b95707861ed42f61d50760af27609d693290794032f26e62a031d23d4a807c23b0fe69ad28ced28b5a62b7c7
DIST libpeas-1.20.0.tar.xz 557872 SHA256 f392fffe2dc00072a51bb2a1b274224a06bdc5f9c3b3c0ac4816909e9933d354 SHA512 b3ddebf65e1a76493b5cd5150f60c13597c90398eea16c002e51d25449a595f7591bd0ccd1214ca3a8cbce724eb10f38a316e8c95092442034c048bc95cfdbf4 WHIRLPOOL 94e4bd69a13d07a0dbe3b959c7feed3bbe705767351fd9053f266c1120d5356f15b745fb57d357d5a56303afd40deec37033f575c047c28ffb748050f1a983e0
diff --git a/dev-libs/libpeas/libpeas-1.18.0.ebuild b/dev-libs/libpeas/libpeas-1.18.0.ebuild
deleted file mode 100644
index 0418a2e4b1b..00000000000
--- a/dev-libs/libpeas/libpeas-1.18.0.ebuild
+++ /dev/null
@@ -1,97 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-GNOME2_LA_PUNT="yes"
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
-
-inherit autotools eutils gnome2 multilib python-r1 virtualx
-
-DESCRIPTION="A GObject plugins library"
-HOMEPAGE="https://developer.gnome.org/libpeas/stable/"
-
-LICENSE="LGPL-2+"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
-
-IUSE="+gtk glade jit lua +python"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} ?? ( $(python_gen_useflags 'python3*') ) )"
-
-RDEPEND="
- >=dev-libs/glib-2.38:2
- >=dev-libs/gobject-introspection-1.39:=
- glade? ( >=dev-util/glade-3.9.1:3.10 )
- gtk? ( >=x11-libs/gtk+-3:3[introspection] )
- lua? (
- >=dev-lua/lgi-0.9.0
- jit? ( >=dev-lang/luajit-2:2 )
- !jit? ( =dev-lang/lua-5.1*:0 ) )
- python? (
- ${PYTHON_DEPS}
- >=dev-python/pygobject-3.2:3[${PYTHON_USEDEP}] )
-"
-DEPEND="${RDEPEND}
- >=dev-util/gtk-doc-am-1.11
- >=dev-util/intltool-0.40
- virtual/pkgconfig
-
- dev-libs/gobject-introspection-common
- gnome-base/gnome-common
-"
-# eautoreconf needs gobject-introspection-common, gnome-common
-
-src_prepare() {
- # Gentoo uses unversioned lua - lua.pc instad of lua5.1.pc, /usr/bin/lua instead of /usr/bin/lua5.1
- eapply "${FILESDIR}"/${PN}-1.14.0-lua.pc.patch
- eautoreconf
- gnome2_src_prepare
-}
-
-src_configure() {
- # Wtf, --disable-gcov, --enable-gcov=no, --enable-gcov, all enable gcov
- # What do we do about gdb, valgrind, gcov, etc?
- local myconf=(
- $(use_enable glade glade-catalog)
- $(use_enable gtk)
- --disable-static
-
- # possibly overriden below
- --disable-python{2,3}
- --disable-lua5.1
- --disable-luajit
- )
-
- if use lua ; then
- if use jit ; then
- myconf+=( --enable-lua5.1 --enable-luajit )
- else
- myconf+=( --enable-lua5.1 )
- fi
- fi
-
- python_configure() {
- local v
- python_is_python3 && v=3 || v=2
- myconf+=(
- "--enable-python${v}"
- # it is just 'PYTHON' for py3 in the build system
- "PYTHON${v#3}=${PYTHON}"
- "PYTHON${v}_CONFIG=$(python_get_PYTHON_CONFIG)"
- )
- }
- use python && python_foreach_impl python_configure
-
- gnome2_src_configure "${myconf[@]}"
-}
-
-src_test() {
- # This looks fixed since 1.18.0:
- #
- # FIXME: Tests fail because of some bug involving Xvfb and Gtk.IconTheme
- # DO NOT REPORT UPSTREAM, this is not a libpeas bug.
- # To reproduce:
- # >>> from gi.repository import Gtk
- # >>> Gtk.IconTheme.get_default().has_icon("gtk-about")
- # This should return True, it returns False for Xvfb
- virtx emake check
-}